Description

I've made a one-liner patch to fill the new TimeEntry attributes created in IssuesController#update_issue_from_param with the
params[:time_entry].

This allows to pre-fill the spent time field when accessing the issue editing page.
| want to use this feature for my time tracker plugin. When the user stops his time tracker, | want to redirect him to the issue editing

page to let him change what he wants (%done ratio for example) and enter a time log comment. However, | need to be able to fill the
spent time field for him with the time tracker value.

Associated revisions

Revision 4411 - 2010-11-17 19:27 - Jean-Philippe Lang

Initialize TimeEntry attributes with params when editing an issue (#5441).

History

#1 - 2010-08-03 11:05 - Ludovic Gasc

- Assignee changed from Eric Davis to Jean-Philippe Lang

+1

| valid this patch, it's useful with this plugin: http:/github.com/delaitre/redmine_time_tracker
Moreover, some other plugins could use this feature to pre-populate the timesheet part in the edit form.

Somebody in the Redmine team could integrate this patch in the Redmine trunk ?
Thanks.

#2 - 2010-10-22 13:26 - Jérémie Delaitre

| still need this patch (1 line!). Is there any chance to get it included?

#3 - 2010-10-22 19:09 - Jean-Philippe Lang

Could you update the patch for current trunk and include a functional test ?

#4 - 2010-10-26 19:44 - Jérémie Delaitre
- File time_entry _init.diff added

I've updated the patch according to current github master.
The 'test_get_edit_with_params' functional test has been updated too to check the time_entry params.

#5 - 2010-10-26 19:47 - Jérémie Delaitre

| forgot to ask you to execute the updated test as I'm not confident in my redmine installation...

#6 - 2010-11-04 22:40 - Jérémie Delaitre
- File time_entry _init.diff added

Ok, | finally have a working redmine install for testing purpose. It appears that my previous patch contains a bug in the functional test. | fixed it in this
new patch (which should be the last one!).

#7 - 2010-11-17 13:49 - Jérémie Delaitre
http://github.com/delaitre/redmine_time_tracker

Any chance to have this included in 1.0.4 or 1.1.0 ?

#8 - 2010-11-17 19:21 - Jean-Philippe Lang
- Status changed from New to Closed

- Target version setto 1.1.0

Patch commited in r4411.
As it's not a fix, it won't be merged in 1.0-stable but in 1.1.

Thanks.

Files

time_entry_init.diff 732 Bytes 2010-05-04 Jérémie Delaitre
time_entry_init.diff 2.14 KB 2010-10-26 Jérémie Delaitre
time_entry_init.diff 2.1 KB 2010-11-04 Jérémie Delaitre
